# abstract BitmapFilterType(Null<Int>)

#### package openfl.filters

####

Available on all platforms

The BitmapFilterType class contains values to set the type of a BitmapFilter.

### Variables

###

`inline read onlyFULL:BitmapFilterType = 0`

Defines the setting that applies a filter to the entire area of an object.

###

`inline read onlyINNER:BitmapFilterType = 1`

Defines the setting that applies a filter to the inner area of an object.

###

`inline read onlyOUTER:BitmapFilterType = 2`

Defines the setting that applies a filter to the outer area of an object.